%define upstream_name    Dist-Zilla-PluginBundle-MSCHOUT
%define upstream_version 0.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Use L<Dist::Zilla> like MSCHOUT does
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.102.341
BuildRequires: perl(Dist::Zilla::Plugin::ArchiveRelease)
BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::Bugtracker)
BuildRequires: perl(Dist::Zilla::Plugin::BumpVersionFromGit)
BuildRequires: perl(Dist::Zilla::Plugin::FakeRelease)
BuildRequires: perl(Dist::Zilla::Plugin::Homepage)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::Repository)
BuildRequires: perl(Dist::Zilla::Plugin::Signature)
BuildRequires: perl(Dist::Zilla::Plugin::TaskWeaver) >= 0.93.330
BuildRequires: perl(Dist::Zilla::PluginBundle::Classic)
BuildRequires: perl(Dist::Zilla::PluginBundle::Filter)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git) >= 1.101.230
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Module::Signature)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Pod::Elemental::Transformer::List)
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Pod::Weaver::Section::BugsRT)
BuildRequires: perl(Pod::Weaver::Section::SourceGitHub)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

%description
This is the the Pod::Weaver manpage config I use for building my
documentation. I use it with the Dist::Zilla::PluginBundle::MSCHOUT manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.220.0-7.mga6
+ Revision: 1026022
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.220.0-6.mga6
+ Revision: 930004
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.220.0-5.mga5
+ Revision: 746101
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.220.0-4.mga5
+ Revision: 684575
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.220.0-3.mga4
+ Revision: 511264
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 366664
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 0.22

* Wed Mar 16 2011 jquelin <jquelin> 0.200.0-1.mga1
+ Revision: 72582
- imported package perl-Dist-Zilla-PluginBundle-MSCHOUT


* Wed Mar 16 2011 cpan2dist 0.20-1mga
- initial mageia release, generated with cpan2dist
